# Administration Reference

## runntp

Purpose

Initializes the Network Time Protocol Daemon

Synopsis

    runntp [-localclock] [-precision <small negative integer>]
           [-logfile <filename for ntpd's stdout/stderr>]
           [-ntpdpath <pathname of ntpd executable (/usr/afs/bin/ntpd)>]
           [<host>+] [-help]

This command does not use the syntax conventions of the AFS command suites. Provide the command name and all option names in full.

Description

The runntp command initializes the Network Time Protocol Daemon (NTPD) and related programs on the local machine and constructs an ntp.conf configuration file. The intended use is on AFS file server machines as a convenient interface to the standard ntpd program.

In the conventional configuration, the binary file for the command is located in the /usr/afs/bin directory on a file server machine. The command is not normally issued at the command shell prompt, but rather placed into a file server machine's /usr/afs/local/BosConfig file with the bos create command. If it is ever issued at the command shell prompt, the issuer must be logged onto a server machine as the local superuser root.

Cautions

Do not run the runntp program if NTPD or another time protocol is already in use in the cell. Running two time-synchronization protocols can cause errors.

Options

-localclock
  Designates the local machine's internal clock as a possible time source if a network partition separates the machine from the other source machines listed on the command line. In cells that are not connected to an exterior network or are behind a firewall, include this flag on every machine that runs the runntp process. In cells that frequently lose access to exterior networks (voluntarily or not), include it only on the runntp process running on the system control machine. Do not include the flag if the cell is reliably connected to exterior networks.

-precision
  Specifies the precision of the local clock. This argument is not normally provided. As the ntpd process initializes, it determines the precision of the local clock on its own. If provided, it is a small integer preceded by a hyphen to show that it is negative. The value is used as an exponent on the number 2, and the result interpreted as the frequency, in fractions of a second, at which the local clock ticks (advances).

  For example, a value of -6, which translates to 2-6 or 1/64, means that the local clock ticks once every 1/64th of a second, or has a precision of about 60 ticks per second. A value of -7 translates to about 100 ticks per second. A value of -10 translates to about 1000 ticks per second (a millisecond clock).

-logfile
  Specifies the local disk pathname for the NTP daemon's log file, such as /usr/afs/logs/ntp.log. The log records which machines are serving as time sources and peers, what adjustments have been made to reduce drift, and so on. Use the ntpd process's debugging mechanism to control the amount of information produced. If this argument is omitted, the information is discarded.

-ntpdpath
  Specifies the local disk pathname of the binary for the ntpd program. If this argument is omitted, the default is /usr/afs/bin/ntpd.

host
  Is the fully qualified hostname of each machine to consult as a time source. By convention, the machines are outside the cell if exterior networks are accessible.

  In general, this argument is necessary only on the system control machine. If the issuer omits it, then the local machine consults the local database server machines listed in its copy of the /usr/afs/etc/CellServDB file.

  For advice on selecting appropriate time sources, see the AFS Quick Beginnings or ask AFS Product Support.

-help
  Prints the online help for this command. All other valid options are ignored.

Privilege Required

The issuer must be logged in as the superuser root on a file server machine to issue the command at a command shell prompt. It is conventional instead to create and start the process by issuing the bos create command.

Related Information

bos create

UNIX manual page for ntp

UNIX manual page for ntpd

UNIX manual page for ntpdc

© IBM Corporation 2000. All Rights Reserved